--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: auth_path
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: desc
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: key
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: manager
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: order
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: requires_rescan
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: requires_restart
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: type
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: wizard
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Irc::Bot::Config::Value
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: default
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: parse
- !ruby/object:RI::MethodSummary 
  name: set
- !ruby/object:RI::MethodSummary 
  name: set_string
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: unset
- !ruby/object:RI::MethodSummary 
  name: validate
- !ruby/object:RI::MethodSummary 
  name: value
name: Value
superclass: Object
